

addplaceablecategorie = {};
local modDirectory = g_currentModDirectory or ""
local modName = g_currentModName or "unknown"

function addplaceablecategorie:addowncategory()
	
    g_storeManager:addConstructionCategory("pvmods", "PV Mods", "$dataS/menu/construction/ui_construction_icons.png", GuiUtils.getUVs("41px 0 32px 32px",string.getVectorN("256 256", 2)),"")
	g_storeManager:addConstructionTab("pvmods", "pv_housing", "Housing", "$dataS/menu/construction/ui_construction_icons.dds", GuiUtils.getUVs("41px 120px 32px 32px",string.getVectorN("256 256", 2)), "")
	g_storeManager:addConstructionTab("pvmods", "pv_power", "Power", "$dataS/menu/construction/ui_construction_icons.dds", GuiUtils.getUVs("160px 40px 32px 32px",string.getVectorN("256 256", 2)), "")
    g_storeManager:addConstructionTab("pvmods", "pv_tier1", "T1", "$dataS/menu/construction/ui_construction_icons.dds", GuiUtils.getUVs("41px 40px 32px 32px",string.getVectorN("256 256", 2)), "")
    g_storeManager:addConstructionTab("pvmods", "pv_tier2", "T2", "$dataS/menu/construction/ui_construction_icons.dds", GuiUtils.getUVs("41px 40px 32px 32px",string.getVectorN("256 256", 2)), "")
    g_storeManager:addConstructionTab("pvmods", "pv_tier3", "T3", "$dataS/menu/construction/ui_construction_icons.dds", GuiUtils.getUVs("41px 40px 32px 32px",string.getVectorN("256 256", 2)), "")
    g_storeManager:addConstructionTab("pvmods", "pv_tier4", "T4", "$dataS/menu/construction/ui_construction_icons.dds", GuiUtils.getUVs("41px 40px 32px 32px",string.getVectorN("256 256", 2)), "")
	g_storeManager:addConstructionTab("pvmods", "pv_storage", "Storage", "$dataS/menu/construction/ui_construction_icons.dds", GuiUtils.getUVs("80px 0 32px 32px",string.getVectorN("256 256", 2)), "")	
	g_storeManager:addConstructionTab("pvmods", "pv_sellpoints", "Sellpoints", "$dataS/menu/construction/ui_construction_icons.dds", GuiUtils.getUVs("80px 40px 32px 32px",string.getVectorN("256 256", 2)), "")
	g_storeManager:addConstructionTab("pvmods", "pv_other", "Other", "$dataS/menu/construction/ui_construction_icons.dds", GuiUtils.getUVs("160px 0 32px 32px",string.getVectorN("256 256", 2)), "")
end

function loadMapData(xmlFile, missionInfo, baseDirectory)
    addplaceablecategorie:addowncategory()
end

StoreManager.loadMapData = Utils.appendedFunction(StoreManager.loadMapData, loadMapData)